summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcat-9
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 14:47:31 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:47 +0200
commit5811045286891c04ac553ea851c00ef239f214fb (patch)
treef1b199aae82aaf151904ff8c05e415f16e1260c9 /gettext-tools/tests/msgcat-9
parentb9f7c5240eb715bac3fc9cd949b616eb1ead3f96 (diff)
downloadexternal_gettext-5811045286891c04ac553ea851c00ef239f214fb.zip
external_gettext-5811045286891c04ac553ea851c00ef239f214fb.tar.gz
external_gettext-5811045286891c04ac553ea851c00ef239f214fb.tar.bz2
Move tests/msgcat-9 to gettext-tools/tests/msgcat-9.
Diffstat (limited to 'gettext-tools/tests/msgcat-9')
-rwxr-xr-xgettext-tools/tests/msgcat-9106
1 files changed, 106 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcat-9 b/gettext-tools/tests/msgcat-9
new file mode 100755
index 0000000..95e94a9
--- /dev/null
+++ b/gettext-tools/tests/msgcat-9
@@ -0,0 +1,106 @@
+#! /bin/sh
+
+# Verify msgcat of two files, when the header entries have the same comments
+# but different contents. The resulting header entry must be marked fuzzy.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcat-test9.in1 mcat-test9.in2"
+cat <<\EOF > mcat-test9.in1
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-11-11 12:51:34+0200\n"
+"PO-Revision-Date: 2001-11-11 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Help text (HTML-like) START
+#: clients/inst_ask_config.ycp:119
+msgid ""
+"Congratulations!"
+msgstr ""
+"Glückwunsch!"
+EOF
+
+cat <<\EOF > mcat-test9.in2
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-04-24 12:51:34+0200\n"
+"PO-Revision-Date: 2001-04-24 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Help text (HTML-like) START
+#: clients/inst_ask_config.ycp:119
+msgid ""
+"Congratulations!"
+msgstr ""
+"Glückwunsch!"
+EOF
+
+tmpfiles="$tmpfiles mcat-test9.out"
+rm -f mcat-test9.out
+
+: ${MSGCAT=msgcat}
+${MSGCAT} --more-than=0 -o mcat-test9.out \
+ mcat-test9.in1 mcat-test9.in2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcat-test9.ok"
+cat <<\EOF > mcat-test9.ok
+# German message file for xyz.
+# Copyright (C) 1999, 2000, 2001 xyz.
+# Kab Def <ke@zzz.uucp>, 2000.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"#-#-#-#-# mcat-test9.in1 (xyz) #-#-#-#-#\n"
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-11-11 12:51:34+0200\n"
+"PO-Revision-Date: 2001-11-11 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+"#-#-#-#-# mcat-test9.in2 (xyz) #-#-#-#-#\n"
+"Project-Id-Version: xyz\n"
+"POT-Creation-Date: 2001-04-24 12:51:34+0200\n"
+"PO-Revision-Date: 2001-04-24 13:02+02:00\n"
+"Last-Translator: Kab Def <ke@zzz.uucp>\n"
+"Language-Team: German <i18n@zzz.uucp>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Help text (HTML-like) START
+#: clients/inst_ask_config.ycp:119
+msgid "Congratulations!"
+msgstr "Glückwunsch!"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcat-test9.ok mcat-test9.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result